scriptName format ["%1Scripts\Common\Config\Config_Airport.sqf",BIS_WFdPath];
//Last modified 10/11/9
//*****************************************************************************************
//Description: Aircraft factory configurations.
//*****************************************************************************************
Private["_c","_config","_data","_m","_p","_pilotCost","_t","_total","_u"];

//WEST
_u			= ["AV8B2"];
_c			= [4000];
_m			= [1];
_t			= [45];
_p			= [45];

_u = _u		+ ["A10"];
_c = _c		+ [5000];
_m = _m		+ [1];
_t = _t		+ [50];
_p = _p		+ [50];

_pilotCost = 75;
_data = [West,"Barracks",WPILOT] Call BIS_WF_GetUnitData;
if (Count _data > 0) then {_pilotCost = _data Select 2};

westWingedAircraftDescriptions = [];
westWingedAircraftFactions = [];
westWingedAircraftImages = [];
westWingedAircraftMannedCosts = [];

_total = Count _u;
for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	_config = configFile >> "CfgVehicles" >> (_u Select _count);
	westWingedAircraftMannedCosts = westWingedAircraftMannedCosts + [(_c Select _count) + (_m Select _count) * _pilotCost];
	westWingedAircraftDescriptions = westWingedAircraftDescriptions + [GetText (_config >> "displayName")];
	westWingedAircraftFactions = westWingedAircraftFactions + [GetText (_config >> "faction")];
	westWingedAircraftImages = westWingedAircraftImages + [GetText (_config >> "picture")];
};

westWingedAircraftUnits = _u;
westWingedAircraftCosts = _c;
westWingedAircraftCrews = _m;
westWingedAircraftTimes = _t;
westWingedAircraftPoints = _p;

//EAST
_u			= ["Su39"];
_c			= [7500];
_m			= [1];
_t			= [45];
_p			= [45];

_u = _u		+ ["SU34"];
_c = _c		+ [10000];
_m = _m		+ [1];
_t = _t		+ [50];
_p = _p		+ [50];

_pilotCost = 75;
_data = [East,"Barracks",EPILOT] Call BIS_WF_GetUnitData;
if (Count _data > 0) then {_pilotCost = _data Select 2};

eastWingedAircraftDescriptions = [];
eastWingedAircraftFactions = [];
eastWingedAircraftImages = [];
eastWingedAircraftMannedCosts = [];

_total = Count _u;
for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	_config = configFile >> "CfgVehicles" >> (_u Select _count);
	eastWingedAircraftMannedCosts = eastWingedAircraftMannedCosts + [(_c Select _count) + (_m Select _count) * _pilotCost];
	eastWingedAircraftDescriptions = eastWingedAircraftDescriptions + [GetText (_config >> "displayName")];
	eastWingedAircraftFactions = eastWingedAircraftFactions + [GetText (_config >> "faction")];
	eastWingedAircraftImages = eastWingedAircraftImages + [GetText (_config >> "picture")];
};

eastWingedAircraftUnits = _u;
eastWingedAircraftCosts = _c;
eastWingedAircraftCrews = _m;
eastWingedAircraftTimes = _t;
eastWingedAircraftPoints = _p;

//RESISTANCE
_u			= [];
_c			= [];
_m			= [];
_t			= [];
_p			= [];

_pilotCost = 75;
_data = [Resistance,"Barracks",GPILOT] Call BIS_WF_GetUnitData;
if (Count _data > 0) then {_pilotCost = _data Select 2};

resistanceWingedAircraftDescriptions = [];
resistanceWingedAircraftFactions = [];
resistanceWingedAircraftImages = [];
resistanceWingedAircraftMannedCosts = [];

_total = Count _u;
for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	_config = configFile >> "CfgVehicles" >> (_u Select _count);
	resistanceWingedAircraftMannedCosts = resistanceWingedAircraftMannedCosts + [(_c Select _count) + (_m Select _count) * _pilotCost];
	resistanceWingedAircraftDescriptions = resistanceWingedAircraftDescriptions + [GetText (_config >> "displayName")];
	resistanceWingedAircraftFactions = resistanceWingedAircraftFactions + [GetText (_config >> "faction")];
	resistanceWingedAircraftImages = resistanceWingedAircraftImages + [GetText (_config >> "picture")];
};

resistanceWingedAircraftUnits = _u;
resistanceWingedAircraftCosts = _c;
resistanceWingedAircraftCrews = _m;
resistanceWingedAircraftTimes = _t;
resistanceWingedAircraftPoints = _p;

wingedAircraftUnits = westWingedAircraftUnits + eastWingedAircraftUnits + resistanceWingedAircraftUnits;
wingedAircraftUnitCosts = westWingedAircraftCosts + eastWingedAircraftCosts + resistanceWingedAircraftCosts;
wingedAircraftUnitDescriptions = westWingedAircraftDescriptions + eastWingedAircraftDescriptions + resistanceWingedAircraftDescriptions;

//Determine longest build time.
longestWingedAircraftBuildTime = 0;
_t = eastWingedAircraftTimes + westWingedAircraftTimes + resistanceWingedAircraftTimes;
for [{_count = Count _t - 1},{_count >= 0},{_count = _count - 1}] do
{
	if (_t Select _count > longestWingedAircraftBuildTime) then
	{
		longestWingedAircraftBuildTime = _t Select _count;
	};
};

//*****************************************************************************************
//2/2/8 MM - Created file.
