scriptName format ["%1Scripts\Common\Config\Config_Missions.sqf",BIS_WFdPath];
//Last modified 8/6/9
//*****************************************************************************************
//Description: Defines mission/task types available for players (created by commander).
//*****************************************************************************************

//Default missions.
_v			= ["MOVE"];												//Mission variable name.
_n			= [Localize "STRWFMOVE"];								//Mission type name.
_d			= [localize "Config_Missions.sqf2"];					//Very brief description.
_m			= ["Move"];												//Marker.
_p			= [corePath + "Common\Mission\Mission_Move.sqf"];		//Player script to run.
_s			= [corePath + "Common\Mission\Mission_MoveServer.sqf"];	//Server script to run.
_ai			= [corePath + "Common\Mission\Mission_MoveAI.sqf"];		//AI script to run.
_c			= [corePath + "Common\Mission\Mission_MoveCommanderAI.sqf"];//Commander script that determines if mission should be created.
_ail		= [true];												//If true AI mission will loop after completion.
_loc		= [false];												//If true always use location (not position).
_b			= [localize "Config_Missions.sqf7"];					//Mission briefing.

_v = _v		+ ["CAPTURE"];
_n = _n		+ [Localize "STRWFCAPTURE"];
_d = _d		+ [localize "Config_Missions.sqf9"];
_m = _m		+ ["Attack"];
_p = _p		+ [corePath + "Common\Mission\Mission_Capture.sqf"];
_s = _s		+ [corePath + "Common\Mission\Mission_CaptureServer.sqf"];
_ai = _ai	+ [corePath + "Common\Mission\Mission_CaptureAI.sqf"];
_c = _c		+ [corePath + "Common\Mission\Mission_CaptureCommanderAI.sqf"];
_ail = _ail + [false];
_loc = _loc + [true];
_b = _b		+ [localize "Config_Missions.sqf15"];

_v = _v		+ ["PATROL"];
_n = _n		+ [Localize "STRWFPATROL"];
_d = _d		+ [localize "Config_Missions.sqf17"];
_m = _m		+ ["Defend"];
_p = _p		+ [corePath + "Common\Mission\Mission_Patrol.sqf"];
_s = _s		+ [corePath + "Common\Mission\Mission_PatrolServer.sqf"];
_ai = _ai	+ [corePath + "Common\Mission\Mission_PatrolAI.sqf"];
_c = _c		+ [corePath + "Common\Mission\Mission_PatrolCommanderAI.sqf"];
_ail = _ail + [true];
_loc = _loc + [false];
_b = _b		+ [localize "Config_Missions.sqf23"];

/*
_v = _v		+ ["DEFEND"];
_n = _n		+ [localize "Config_Missions.sqf24"];
_d = _d		+ [localize "Config_Missions.sqf25"];
_m = _m		+ ["Defend"];
_p = _p		+ [corePath + "Common\Mission\Mission_Defend.sqf"];
_s = _s		+ [corePath + "Common\Mission\Mission_DefendServer.sqf"];
_ai = _ai	+ [corePath + "Common\Mission\Mission_DefendAI.sqf"];
_c = _c		+ [corePath + "Common\Mission\Mission_DefendCommanderAI.sqf"];
_ail = _ail + [true];
_loc = _loc + [true];
_b = _b		+ [localize "Config_Missions.sqf32"];
*/

for [{_count = Count _v - 1},{_count >= 0},{_count = _count - 1}] do
{
	BIS_WF_Constants SetVariable [Format["MISSION%1TYPE",_v Select _count],_count,false];
	
	//Compile scripts.
	_ai Set[_count,Compile PreprocessFile (_ai Select _count)];
	_s Set[_count,Compile PreprocessFile (_s Select _count)];
	_p Set[_count,Compile PreprocessFile (_p Select _count)];
	_c Set[_count,Compile PreprocessFile (_c Select _count)];
};

BIS_WF_Constants SetVariable ["missionNames",_n,false];			//Name of mission type.
BIS_WF_Constants SetVariable ["missionDescriptions",_d,false];	//Very brief description of mission.
BIS_WF_Constants SetVariable ["missionMarkers",_m,false];		//Marker.
BIS_WF_Constants SetVariable ["missionScripts",_p,false];		//Player script to run for missions.
BIS_WF_Constants SetVariable ["missionAIScripts",_ai,false];	//AI script to run for missions.
BIS_WF_Constants SetVariable ["missionCommanderAIScripts",_c,false];//Commander script that determines if mission should be created.
BIS_WF_Constants SetVariable ["missionServerScripts",_s,false];	//Server script, runs even if no team is assigned to mission.
BIS_WF_Constants SetVariable ["missionAILoops",_ai,false];		//If true AI will continuosly perform mission (even after completion).
BIS_WF_Constants SetVariable ["missionAlwaysUseLocation",_loc,false];//If true always use location (not position). If position passed will attempt to find near location.
BIS_WF_Constants SetVariable ["missionBriefing",_b,false];		//Mission briefing.

//*****************************************************************************************
//8/30/8 MM - Created file.
