scriptName format ["%1Scripts\Common\Config\Config_Structures.sqf",BIS_WFdPath];
//Last modified 3/27/10
//*****************************************************************************************
//Description: Base structure configurations.
//*****************************************************************************************

//_v - variable name
//_n - building classname
//_d - description (translated).
//_f - Faction that structure belongs to and/or faction units structure can build.
//_c - cost (in supplies), for stationary defenses cost is in money.
//_t - time to build
//_i - Image on construction menu.
//_p - Probability of AI commander creating structure (per minute).
//_pt - Probability of AI creating structure (per minute) in a town.
//_s - script executed to build
//_a - action added to player when in range
//_dir - direction from structure to place a unit created by it.
//_dis - distance from structure to place a unit created by it.

//WEST STRUCTURES
_v			= ["Headquarters"];
_n			= ["LAV25_HQ_unfolded"];
_d			= [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
//_f			= [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "faction")];
_f			= [[Localize "STR_FN_USMC"]];
_c			= [100];
_t			= [30];
_i			= ["\CA\Warfare2\Images\con_hq.paa"];
_p			= [100];
_s			= ["HQSite"];
_a			= [corePath + "Client\Action\Action_Headquarters.sqs"];
_dis		= [15];
_dir		= [0];
_h			= [3];

_v = _v		+ ["Barracks"];
_n = _n		+ ["USMC_WarfareBBarracks"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
//_f = _f		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "faction")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [100];
_t = _t		+ [20];
_i = _i		+ ["\CA\Warfare2\Images\con_barracks.paa"];
_p = _p		+ [400];
_s = _s		+ ["SmallSite"];
_a = _a		+ [corePath + "Client\Action\Action_Barracks.sqs"];
_dis = _dis	+ [18];
_dir = _dir	+ [90];
_h = _h		+ [3];

_v = _v		+ ["Light"];
_n = _n		+ ["USMC_WarfareBLightFactory"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [400];
_t = _t		+ [30];
_i = _i		+ ["\CA\Warfare2\Images\con_light.paa"];
_p = _p		+ [100];
_s = _s		+ ["MediumSite"];
_a = _a		+ [corePath + "Client\Action\Action_LightFactory.sqs"];
_dis = _dis	+ [20];
_dir = _dir	+ [90];
_h = _h		+ [4.5];

_v = _v		+ ["Heavy"];
_n = _n		+ ["USMC_WarfareBHeavyFactory"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [1000];
_t = _t		+ [40];
_i = _i		+ ["\CA\Warfare2\Images\con_heavy.paa"];
_p = _p		+ [30];
_s = _s		+ ["MediumSite"];
_a = _a		+ [corePath + "Client\Action\Action_HeavyFactory.sqs"];
_dis = _dis	+ [20];
_dir = _dir	+ [90];
_h = _h		+ [4];

_v = _v		+ ["Aircraft"];
_n = _n		+ ["USMC_WarfareBAircraftFactory"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [2000];
_t = _t		+ [50];
_i = _i		+ ["\CA\Warfare2\Images\con_aircraft.paa"];
_p = _p		+ [15];
_s = _s		+ ["SmallSite"];
_a = _a		+ [corePath + "Client\Action\Action_AircraftFactory.sqs"];
_dis = _dis	+ [21];
_dir = _dir	+ [90];
_h = _h		+ [5.5];

_v = _v		+ ["ServicePoint"];
_n = _n		+ ["USMC_WarfareBVehicleServicePoint"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [200];
_t = _t		+ [30];
_i = _i		+ ["\CA\Warfare2\Images\con_light.paa"];
_p = _p		+ [35];
_s = _s		+ ["VehicleServicePointSite"];
_a = _a		+ [""];
_dis = _dis	+ [21];
_dir = _dir	+ [90];
_h = _h		+ [5.5];

for [{_count = Count _v - 1},{_count >= 0},{_count = _count - 1}] do
{
	Call Compile Format["WEST%1TYPE = %2",_v Select _count,_count];
};

WESTAIRPORTTYPE = Count _v;
WESTDEPOTTYPE = Count _v + 1;
WESTMHQNAME = "LAV25_HQ";
WESTFLAGPOLE = "\ca\data\flag_usa_co.paa";
WESTCONSTRUCTIONSITE1 = "USMC_WarfareBContructionSite";
WESTCONSTRUCTIONSITE2 = "USMC_WarfareBContructionSite1";

//CDF
//WESTFLAGPOLE = "\ca\data\flag_chernarus_co.paa";

westStructures = _v;
westStructureNames = _n;
westStructureDescriptions = _d;
westStructureFactions = _f;
westStructureCosts = _c;
westStructureTimes = _t;
westStructureImages = _i;
westStructureChances = _p;
westStructureDistances = _dis;
westStructureDirections = _dir;
westStructureScripts = _s;
westStructureActions = _a;
westStructureHeights = _h;

//Note that cost of defenses is in money instead of supplies.
//WEST STATIONARY DEFENSES
_v			= ["MGNest"];
_n			= ["USMC_WarfareBMGNest_M240"];
_d			= [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f			= [[Localize "STR_FN_USMC"]];
_c			= [200];
_t			= [0];
_i			= ["\CA\Warfare2\Images\con_mg_nest.paa"];
_p			= [25];
_pt			= [5];
_s			= ["StationaryDefense"];
_a			= [""];
_dis		= [0];
_dir		= [0];
_h			= [0];

_v = _v		+ ["M2HD"];
_n = _n		+ ["M2HD_mini_TriPod"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [200];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_gl.paa"];
_p = _p		+ [25];
_pt = _pt	+ [5];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["M2"];
_n = _n		+ ["M2StaticMG"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [200];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_gl.paa"];
_p = _p		+ [25];
_pt = _pt	+ [5];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["MK19"];
_n = _n		+ ["MK19_TriPod"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [300];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_gl.paa"];
_p = _p		+ [25];
_pt = _pt	+ [4];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["ATTripod"];
_n = _n		+ ["TOW_TriPod"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [500];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_at_pod.paa"];
_p = _p		+ [40];
_pt = _pt	+ [3];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["AATripod"];
_n = _n		+ ["Stinger_Pod"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [500];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_aa_pod.paa"];
_p = _p		+ [40];
_pt = _pt	+ [1];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["M119"];
_n = _n		+ ["M119"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [2500];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_gun.paa"];
_p = _p		+ [75];
_pt = _pt	+ [1];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["SmallWall"];
_n = _n		+ ["Land_HBarrier3"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [25];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["MediumWall"];
_n = _n		+ ["Land_HBarrier5"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [50];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall2.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["LargeWall"];
_n = _n		+ ["Land_HBarrier_large"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [75];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall3.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["Sandbags"];
_n = _n		+ ["Land_fort_bagfence_long"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [10];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["SandbagsCorner"];
_n = _n		+ ["Land_fort_bagfence_corner"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [10];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["SandbagsRound"];
_n = _n		+ ["Land_fort_bagfence_round"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [10];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["FortifiedNest"];
_n = _n		+ ["Land_fortified_nest_small"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [50];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["BarbedWire"];
_n = _n		+ ["Fort_RazorWire"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [25];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["Rampart"];
_n = _n		+ ["Land_fort_rampart"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [25];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["ArtilleryRampart"];
_n = _n		+ ["Land_fort_artillery_nest"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_USMC"]];
_c = _c		+ [75];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

if (BIS_WF_LimitedWarfare) then
{
	for [{_count = Count _c - 1},{_count >= 0},{_count = _count - 1}] do
	{
		_c Set[_count,Round ((_c Select _count) * (BIS_WF_Constants GetVariable "LIMITEDWARFAREDEFENSECOSTMODIFIER"))];
	};
};

for [{_count = Count _v - 1},{_count >= 0},{_count = _count - 1}] do
{
	Call Compile Format["WEST%1TYPE = %2",_v Select _count,_count];
};

westDefenses = _v;
westDefenseNames = _n;
westDefenseDescriptions = _d;
westDefenseFactions = _f;
westDefenseCosts = _c;
westDefenseTimes = _t;
westDefenseImages = _i;
westDefenseChances = _p;
westDefenseTownChances = _pt;
westDefenseDistances = _dis;
westDefenseDirections = _dir;
westDefenseScripts = _s;
westDefenseActions = _a;
westDefenseHeights = _h;

//EAST STRUCTURES
//Russia
_v			= ["Headquarters"];
_n			= ["BTR90_HQ_unfolded"];
_d			= [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f			= [[Localize "STR_FN_RU"]];
_c			= [100];
_t			= [30];
_i			= ["\CA\Warfare2\Images\con_hq.paa"];
_p			= [100];
_s			= ["HQSite"];
_a			= [corePath + "Client\Action\Action_Headquarters.sqs"];
_dis		= [15];
_dir		= [0];
_h			= [3];

_v = _v		+ ["Barracks"];
_n = _n		+ ["RU_WarfareBBarracks"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [100];
_t = _t		+ [20];
_i = _i		+ ["\CA\Warfare2\Images\con_barracks.paa"];
_p = _p		+ [400];
_s = _s		+ ["SmallSite"];
_a = _a		+ [corePath + "Client\Action\Action_Barracks.sqs"];
_dis = _dis	+ [18];
_dir = _dir	+ [90];
_h = _h		+ [3];

_v = _v		+ ["Light"];
_n = _n		+ ["RU_WarfareBLightFactory"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [400];
_t = _t		+ [30];
_i = _i		+ ["\CA\Warfare2\Images\con_light.paa"];
_p = _p		+ [100];
_s = _s		+ ["MediumSite"];
_a = _a		+ [corePath + "Client\Action\Action_LightFactory.sqs"];
_dis = _dis	+ [20];
_dir = _dir	+ [90];
_h = _h		+ [4.5];

_v = _v		+ ["Heavy"];
_n = _n		+ ["RU_WarfareBHeavyFactory"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [1000];
_t = _t		+ [40];
_i = _i		+ ["\CA\Warfare2\Images\con_heavy.paa"];
_p = _p		+ [30];
_s = _s		+ ["MediumSite"];
_a = _a		+ [corePath + "Client\Action\Action_HeavyFactory.sqs"];
_dis = _dis	+ [20];
_dir = _dir	+ [90];
_h = _h		+ [4];

_v = _v		+ ["Aircraft"];
_n = _n		+ ["RU_WarfareBAircraftFactory"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [2000];
_t = _t		+ [50];
_i = _i		+ ["\CA\Warfare2\Images\con_aircraft.paa"];
_p = _p		+ [15];
_s = _s		+ ["SmallSite"];
_a = _a		+ [corePath + "Client\Action\Action_AircraftFactory.sqs"];
_dis = _dis	+ [21];
_dir = _dir	+ [90];
_h = _h		+ [5.5];

_v = _v		+ ["ServicePoint"];
_n = _n		+ ["RU_WarfareBVehicleServicePoint"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [200];
_t = _t		+ [30];
_i = _i		+ ["\CA\Warfare2\Images\con_light.paa"];
_p = _p		+ [35];
_s = _s		+ ["VehicleServicePointSite"];
_a = _a		+ [""];
_dis = _dis	+ [21];
_dir = _dir	+ [90];
_h = _h		+ [5.5];

/*
//ChDKZ
_v			= ["Headquarters"];
_n			= ["BMP2_HQ_INS_unfolded"];
_ng			= ["BMP2_HQ_INS_unfolded"];
_nr			= ["BMP2_HQ_INS_unfolded"];
_d			= [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f			= [[Localize "STR_FN_INS"]];
_c			= [100];
_t			= [30];
_i			= ["\CA\Warfare2\Images\con_hq.paa"];
_p			= [100];
_s			= ["HQSite"];
_a			= [corePath + "Client\Action\Action_Headquarters.sqs"];
_dis		= [15];
_dir		= [0];
_h			= [3];

_v = _v		+ ["Barracks"];
_n = _n		+ ["Ins_WarfareBBarracks"];
_ng = _ng	+ ["Ins_WarfareBBarracksGreen"];
_nr = _nr	+ ["Ins_WarfareBBarracksRed"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_INS"]];
_c = _c		+ [100];
_t = _t		+ [30];
_i = _i		+ ["\CA\Warfare2\Images\con_barracks.paa"];
_p = _p		+ [100];
_s = _s		+ ["SmallSite"];
_a = _a		+ [corePath + "Client\Action\Action_Barracks.sqs"];
_dis = _dis	+ [18];
_dir = _dir	+ [90];
_h = _h		+ [3];

_v = _v		+ ["Light"];
_n = _n		+ ["Ins_WarfareBLightFactory"];
_ng = _ng	+ ["Ins_WarfareBLightFactoryGreen"];
_nr = _nr	+ ["Ins_WarfareBLightFactoryRed"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_INS"]];
_c = _c		+ [400];
_t = _t		+ [40];
_i = _i		+ ["\CA\Warfare2\Images\con_light.paa"];
_p = _p		+ [100];
_s = _s		+ ["SmallSite"];
_a = _a		+ [corePath + "Client\Action\Action_LightFactory.sqs"];
_dis = _dis	+ [20];
_dir = _dir	+ [90];
_h = _h		+ [4.5];

_v = _v		+ ["Heavy"];
_n = _n		+ ["Ins_WarfareBHeavyFactory"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_INS"]];
_c = _c		+ [1000];
_t = _t		+ [40];
_i = _i		+ ["\CA\Warfare2\Images\con_heavy.paa"];
_p = _p		+ [30];
_s = _s		+ ["MediumSite"];
_a = _a		+ [corePath + "Client\Action\Action_HeavyFactory.sqs"];
_dis = _dis	+ [20];
_dir = _dir	+ [90];
_h = _h		+ [4];

_v = _v		+ ["Aircraft"];
_n = _n		+ ["Ins_WarfareBAircraftFactory"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_INS"]];
_c = _c		+ [2000];
_t = _t		+ [50];
_i = _i		+ ["\CA\Warfare2\Images\con_aircraft.paa"];
_p = _p		+ [15];
_s = _s		+ ["SmallSite"];
_a = _a		+ [corePath + "Client\Action\Action_AircraftFactory.sqs"];
_dis = _dis	+ [21];
_dir = _dir	+ [90];
_h = _h		+ [5.5];

_v = _v		+ ["ServicePoint"];
_n = _n		+ ["Ins_WarfareBVehicleServicePoint"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_INS"]];
_c = _c		+ [200];
_t = _t		+ [30];
_i = _i		+ ["\CA\Warfare2\Images\con_light.paa"];
_p = _p		+ [35];
_s = _s		+ ["VehicleServicePointSite"];
_a = _a		+ [""];
_dis = _dis	+ [21];
_dir = _dir	+ [90];
_h = _h		+ [5.5];
*/

for [{_count = Count _v - 1},{_count >= 0},{_count = _count - 1}] do
{
	Call Compile Format["EAST%1TYPE = %2",_v Select _count,_count];
};

EASTAIRPORTTYPE = Count _v;
EASTDEPOTTYPE = Count _v + 1;
EASTMHQNAME = "BTR90_HQ";
EASTFLAGPOLE = "\ca\data\flag_rus_co.paa";
EASTCONSTRUCTIONSITE1 = "RU_WarfareBContructionSite";
EASTCONSTRUCTIONSITE2 = "RU_WarfareBContructionSite1";

//Insurgents
//EASTFLAGPOLE = "\ca\data\flag_chdkz_co.paa";

eastStructures = _v;
eastStructureNames = _n;
eastStructureDescriptions = _d;
eastStructureFactions = _f;
eastStructureCosts = _c;
eastStructureTimes = _t;
eastStructureImages = _i;
eastStructureChances = _p;
eastStructureDistances = _dis;
eastStructureDirections = _dir;
eastStructureScripts = _s;
eastStructureActions = _a;
eastStructureHeights = _h;

//Note that cost of defenses is in money instead of supplies.
//EAST STATIONARY DEFENSES
//Russia
_v			= ["MGNest"];
_n			= ["RU_WarfareBMGNest_PK"];
_d			= [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f			= [[Localize "STR_FN_RU"]];
_c			= [200];
_t			= [0];
_i			= ["\CA\Warfare2\Images\con_mg_nest.paa"];
_p			= [25];
_pt			= [5];
_s			= ["StationaryDefense"];
_a			= [""];
_dis		= [0];
_dir		= [0];
_h			= [0];

_v = _v		+ ["Kord"];
_n = _n		+ ["KORD"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [200];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_gl.paa"];
_p = _p		+ [25];
_pt = _pt	+ [5];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["DSHKM"];
_n = _n		+ ["DSHKM_RU"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [200];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_gl.paa"];
_p = _p		+ [25];
_pt = _pt	+ [5];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["AGS30"];
_n = _n		+ ["AGS_RU"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [300];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_gl.paa"];
_p = _p		+ [30];
_pt = _pt	+ [4];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["ATTripod"];
_n = _n		+ ["Metis"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [500];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_at_pod.paa"];
_p = _p		+ [40];
_pt = _pt	+ [3];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["AATripod"];
_n = _n		+ ["Igla_AA_pod_East"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [500];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_aa_pod.paa"];
_p = _p		+ [40];
_pt = _pt	+ [1];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["D30"];
_n = _n		+ ["D30_RU"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [2500];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_gun.paa"];
_p = _p		+ [75];
_pt = _pt	+ [1];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["SmallWall"];
_n = _n		+ ["Land_HBarrier3"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [25];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["MediumWall"];
_n = _n		+ ["Land_HBarrier5"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [50];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall2.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["LargeWall"];
_n = _n		+ ["Land_HBarrier_large"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [75];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall3.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["Sandbags"];
_n = _n		+ ["Land_fort_bagfence_long"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [10];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["SandbagsCorner"];
_n = _n		+ ["Land_fort_bagfence_corner"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [10];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["SandbagsRound"];
_n = _n		+ ["Land_fort_bagfence_round"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [10];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["FortifiedNest"];
_n = _n		+ ["Land_fortified_nest_small"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [50];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["BarbedWire"];
_n = _n		+ ["Fort_RazorWire"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [25];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["Rampart"];
_n = _n		+ ["Land_fort_rampart"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [25];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["ArtilleryRampart"];
_n = _n		+ ["Land_fort_artillery_nest"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_RU"]];
_c = _c		+ [75];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

/*
//ChDKZ
_v			= ["MGNest"];
_n			= ["Ins_WarfareBMGNest_PK"];
_d			= [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f			= [[Localize "STR_FN_INS"]];
_c			= [200];
_t			= [0];
_i			= ["\CA\Warfare2\Images\con_mg_nest.paa"];
_p			= [25];
_pt			= [5];
_s			= ["StationaryDefense"];
_a			= [""];
_dis		= [0];
_dir		= [0];
_h			= [0];

_v = _v		+ ["DSHKM"];
_n = _n		+ ["DSHKM_Ins"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_INS"]];
_c = _c		+ [200];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_gl.paa"];
_p = _p		+ [25];
_pt = _pt	+ [5];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["AGS30"];
_n = _n		+ ["AGS_Ins"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_INS"]];
_c = _c		+ [300];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_gl.paa"];
_p = _p		+ [30];
_pt = _pt	+ [4];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["SPG9"];
_n = _n		+ ["SPG9_Ins"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [Localize "STR_FN_INS"];
_c = _c		+ [400];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_at_pod.paa"];
_p = _p		+ [40];
_pt = _pt	+ [3];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["ZU23"];
_n = _n		+ ["ZU23_Ins"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [Localize "STR_FN_INS"];
_c = _c		+ [400];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_aa_pod.paa"];
_p = _p		+ [40];
_pt = _pt	+ [1];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["D30"];
_n = _n		+ ["D30_Ins"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_INS"]];
_c = _c		+ [2500];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_gun.paa"];
_p = _p		+ [75];
_pt = _pt	+ [1];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["SmallWall"];
_n = _n		+ ["Land_HBarrier3"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_INS"]];
_c = _c		+ [25];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["MediumWall"];
_n = _n		+ ["Land_HBarrier5"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_INS"]];
_c = _c		+ [50];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall2.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];
*/

if (BIS_WF_LimitedWarfare) then
{
	for [{_count = Count _c - 1},{_count >= 0},{_count = _count - 1}] do
	{
		_c Set[_count,Round ((_c Select _count) * (BIS_WF_Constants GetVariable "LIMITEDWARFAREDEFENSECOSTMODIFIER"))];
	};
};

for [{_count = Count _v - 1},{_count >= 0},{_count = _count - 1}] do
{
	Call Compile Format["EAST%1TYPE = %2",_v Select _count,_count];
};

eastDefenses = _v;
eastDefenseNames = _n;
eastDefenseDescriptions = _d;
eastDefenseFactions = _f;
eastDefenseCosts = _c;
eastDefenseTimes = _t;
eastDefenseImages = _i;
eastDefenseChances = _p;
eastDefenseTownChances = _pt;
eastDefenseDistances = _dis;
eastDefenseDirections = _dir;
eastDefenseScripts = _s;
eastDefenseActions = _a;
eastDefenseHeights = _h;

//RESISTANCE STRUCTURES
_v			= ["Headquarters"];
_n			= ["BRDM2_HQ_Gue_unfolded"];
_d			= [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f			= [[Localize "STR_FN_GUE"]];
_c			= [100];
_t			= [30];
_i			= ["\CA\Warfare2\Images\con_hq.paa"];
_p			= [100];
_s			= ["HQSite"];
_a			= [corePath + "Client\Action\Action_Headquarters.sqs"];
_dis		= [0];
_dir		= [0];
_h			= [3];

_v = _v		+ ["Barracks"];
_n = _n		+ ["Gue_WarfareBBarracks"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [100];
_t = _t		+ [20];
_i = _i		+ ["\CA\Warfare2\Images\con_barracks.paa"];
_p = _p		+ [400];
_s = _s		+ ["SmallSite"];
_a = _a		+ [corePath + "Client\Action\Action_Barracks.sqs"];
_dis = _dis	+ [18];
_dir = _dir	+ [90];
_h = _h		+ [3];

_v = _v		+ ["Light"];
_n = _n		+ ["Gue_WarfareBLightFactory"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [400];
_t = _t		+ [30];
_i = _i		+ ["\CA\Warfare2\Images\con_light.paa"];
_p = _p		+ [100];
_s = _s		+ ["MediumSite"];
_a = _a		+ [corePath + "Client\Action\Action_LightFactory.sqs"];
_dis = _dis	+ [18];
_dir = _dir	+ [90];
_h = _h		+ [4.5];

_v = _v		+ ["Heavy"];
_n = _n		+ ["Gue_WarfareBHeavyFactory"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [1000];
_t = _t		+ [40];
_i = _i		+ ["\CA\Warfare2\Images\con_heavy.paa"];
_p = _p		+ [30];
_s = _s		+ ["MediumSite"];
_a = _a		+ [corePath + "Client\Action\Action_HeavyFactory.sqs"];
_dis = _dis	+ [20];
_dir = _dir	+ [90];
_h = _h		+ [4];

_v = _v		+ ["Aircraft"];
_n = _n		+ ["GUE_WarfareBAircraftFactory"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [2000];
_t = _t		+ [50];
_i = _i		+ ["\CA\Warfare2\Images\con_aircraft.paa"];
_p = _p		+ [15];
_s = _s		+ ["SmallSite"];
_a = _a		+ [corePath + "Client\Action\Action_AircraftFactory.sqs"];
_dis = _dis	+ [21];
_dir = _dir	+ [90];
_h = _h		+ [5.5];

_v = _v		+ ["ServicePoint"];
_n = _n		+ ["Gue_WarfareBVehicleServicePoint"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [200];
_t = _t		+ [30];
_i = _i		+ ["\CA\Warfare2\Images\con_light.paa"];
_p = _p		+ [35];
_s = _s		+ ["VehicleServicePointSite"];
_a = _a		+ [""];
_dis = _dis	+ [21];
_dir = _dir	+ [90];
_h = _h		+ [5.5];

for [{_count = Count _v - 1},{_count >= 0},{_count = _count - 1}] do
{
	Call Compile Format["RESISTANCE%1TYPE = %2",_v Select _count,_count];
};

RESISTANCEAIRPORTTYPE = Count _v;
RESISTANCEDEPOTTYPE = Count _v + 1;
RESISTANCEMHQNAME = "BRDM2_HQ_Gue";
RESISTANCEFLAGPOLE = "\ca\data\flag_napa_co.paa";
RESISTANCECONSTRUCTIONSITE1 = "GUE_WarfareBContructionSite";
RESISTANCECONSTRUCTIONSITE2 = "GUE_WarfareBContructionSite1";

resistanceStructures = _v;
resistanceStructureNames = _n;
resistanceStructureDescriptions = _d;
resistanceStructureFactions = _f;
resistanceStructureCosts = _c;
resistanceStructureTimes = _t;
resistanceStructureImages = _i;
resistanceStructureChances = _p;
resistanceStructureDistances = _dis;
resistanceStructureDirections = _dir;
resistanceStructureScripts = _s;
resistanceStructureActions = _a;
resistanceStructureHeights = _h;

//Note that cost of defenses is in money instead of supplies.
//RESISTANCE STATIONARY DEFENSES

_v			= ["MGNest"];
_n			= ["GUE_WarfareBMGNest_PK"];
_d			= [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f			= [[Localize "STR_FN_GUE"]];
_c			= [100];
_t			= [0];
_i			= ["\CA\Warfare2\Images\con_mg_nest.paa"];
_p			= [40];
_pt			= [5];
_s			= ["StationaryDefense"];
_a			= [""];
_dis		= [0];
_dir		= [0];
_h			= [0];

_v = _v		+ ["DSHKM"];
_n = _n		+ ["DSHKM_Gue"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [100];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_mg_nest.paa"];
_p = _p		+ [40];
_pt = _pt	+ [7];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["SPG9"];
_n = _n		+ ["SPG9_Gue"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [200];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_mg_nest.paa"];
_p = _p		+ [25];
_pt = _pt	+ [3];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["ZU23"];
_n = _n		+ ["ZU23_Gue"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [300];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_gl.paa"];
_p = _p		+ [35];
_pt = _pt	+ [1];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["Mortar"];
_n = _n		+ ["2b14_82mm_GUE"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [500];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_gun.paa"];
_p = _p		+ [55];
_pt = _pt	+ [0];
_s = _s		+ ["Mortar"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["SmallWall"];
_n = _n		+ ["Land_HBarrier3"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [25];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["MediumWall"];
_n = _n		+ ["Land_HBarrier5"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [50];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall2.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["LargeWall"];
_n = _n		+ ["Land_HBarrier_large"];
_d = _d		+ [Localize "STRWFWALL"];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [75];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall3.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["Sandbags"];
_n = _n		+ ["Land_fort_bagfence_long"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [10];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["SandbagsCorner"];
_n = _n		+ ["Land_fort_bagfence_corner"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [10];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["SandbagsRound"];
_n = _n		+ ["Land_fort_bagfence_round"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [10];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["FortifiedNest"];
_n = _n		+ ["Land_fortified_nest_small"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [50];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["BarbedWire"];
_n = _n		+ ["Fort_RazorWire"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [25];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["Rampart"];
_n = _n		+ ["Land_fort_rampart"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [25];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

_v = _v		+ ["ArtilleryRampart"];
_n = _n		+ ["Land_fort_artillery_nest"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_n Select (Count _n - 1)) >> "displayName")];
_f = _f		+ [[Localize "STR_FN_GUE"]];
_c = _c		+ [75];
_t = _t		+ [0];
_i = _i		+ ["\CA\Warfare2\Images\con_wall1.paa"];
_p = _p		+ [0];
_pt = _pt	+ [0];
_s = _s		+ ["StationaryDefense"];
_a = _a		+ [""];
_dis = _dis	+ [0];
_dir = _dir	+ [0];
_h = _h		+ [0];

if (BIS_WF_LimitedWarfare) then
{
	for [{_count = Count _c - 1},{_count >= 0},{_count = _count - 1}] do
	{
		_c Set[_count,Round ((_c Select _count) * (BIS_WF_Constants GetVariable "LIMITEDWARFAREDEFENSECOSTMODIFIER"))];
	};
};

for [{_count = Count _v - 1},{_count >= 0},{_count = _count - 1}] do
{
	Call Compile Format["RESISTANCE%1TYPE = %2",_v Select _count,_count];
};

resistanceDefenses = _v;
resistanceDefenseNames = _n;
resistanceDefenseDescriptions = _d;
resistanceDefenseFactions = _f;
resistanceDefenseCosts = _c;
resistanceDefenseTimes = _t;
resistanceDefenseImages = _i;
resistanceDefenseChances = _p;
resistanceDefenseTownChances = _pt;
resistanceDefenseDistances = _dis;
resistanceDefenseDirections = _dir;
resistanceDefenseScripts = _s;
resistanceDefenseActions = _a;
resistanceDefenseHeights = _h;

//ALL
CIVILIANFLAGPOLE = "";
BIS_WF_WallNames = ["Land_HBarrier3","Land_HBarrier5","Land_HBarrier_large","USMC_WarfareBBarrier5x","USMC_WarfareBBarrier10x","USMC_WarfareBBarrier10xTall","RU_WarfareBBarrier5x","RU_WarfareBBarrier10x","RU_WarfareBBarrier10xTall","CDF_WarfareBBarrier5x","CDF_WarfareBBarrier10x","CDF_WarfareBBarrier10xTall","Ins_WarfareBBarrier5x","Ins_WarfareBBarrier10x","Ins_WarfareBBarrier10xTall","Gue_WarfareBBarrier10x","Gue_WarfareBBarrier10xTall","Land_fort_bagfence_long","Land_fort_bagfence_corner","Land_fort_bagfence_round","Land_fortified_nest_small","Fort_RazorWire","Land_fort_rampart","Land_fort_artillery_nest"];
BIS_WF_CampNames = ["WarfareBCamp","Land_CamoNet_EAST","Land_fortified_nest_small","Land_fortified_nest_big"];
BIS_WF_IndirectFireOnlyDefenses = ["2b14_82mm_GUE"];

//*****************************************************************************************
//3/26/7 MM - Created file.
